export const findClassNamesInSelector = (selector) => {
    if (!selector.rules.length) {
        return [];
    }
    const classNames = [];
    const extractClassNamesFromRule = (rule) => {
        for (const item of rule.items) {
            if (item.type === 'ClassName') {
                classNames.push(item.name);
            }
        }
        if (rule.nestedRule) {
            extractClassNamesFromRule(rule.nestedRule);
        }
    };
    for (const rule of selector.rules) {
        extractClassNamesFromRule(rule);
    }
    return classNames;
};
